<?php
/** @var MSTS_InvoiceMe_Block_Customer_InvoiceMe $this */
$buyerStatus = $this->getBuyerStatus();
$programUrl = $this->getProgramUrl();
?>
<div class="page-title">
    <h1><?php echo $this->__('InvoiceMe') ?></h1>
</div>
<?php echo $this->getMessagesBlock()->toHtml() ?>
<?php if (!$buyerStatus): ?>
    <div class="section-magento">
        <div class="container-magento">
            <div class="container-content">
                <div class="magento-head">
                    <div class="head-left"><img src="<?php echo $this->getSkinUrl('msts/invoiceme/images/im-logo_blue.svg') ?>" height="32" alt="" class="main-logo">
                        <h6 class="magento-section-title head"><?php echo $this->__('Invoicing Made Easy') ?></h6>
                    </div>
                    <div class="head-right"><a href="<?php echo $this->getUrl('msts_invoiceme/index/applyForCredit') ?>" target="_blank" class="btn-primary w-button"><?php echo $this->__('Apply Now') ?></a></div>
                </div>
                <div class="divider"></div>
                <h6 class="magento-section-title"><?php echo $this->__('Features') ?></h6>
                <div class="features-container">
                    <div class="feature-block"><img src="<?php echo $this->getSkinUrl('msts/invoiceme/images/ic_flexible.svg') ?>" width="64" height="64" alt="" class="magento-icon">
                        <h4 class="heading-7"><?php echo $this->__('Flexible Terms') ?></h4>
                        <p class="p-center black-muted feature"><?php echo $this->__('Approval for a Line of Credit') ?></p>
                        <p class="p-center black-muted feature"><?php echo $this->__('Up to 45 Days to Pay') ?></p>
                    </div>
                    <div class="feature-block focus"><img src="<?php echo $this->getSkinUrl('msts/invoiceme/images/ic_invoice.svg') ?>" width="64" height="64" alt="" class="magento-icon">
                        <h4 class="heading-7"><?php echo $this->__('Invoicing Your Way') ?></h4>
                        <p class="p-center black-muted feature"><?php echo $this->__('Accounts Payable Integration') ?></p>
                        <p class="p-center black-muted feature"><?php echo $this->__('Connect with Purchase Orders') ?></p>
                    </div>
                    <div class="feature-block"><img src="<?php echo $this->getSkinUrl('msts/invoiceme/images/ic_checkout.svg') ?>" width="64" height="64" alt="" class="magento-icon">
                        <h4 class="heading-7"><?php echo $this->__('Easy Checkout') ?></h4>
                        <p class="p-center black-muted feature"><?php echo $this->__('Zero Friction') ?></p>
                        <p class="p-center black-muted feature"><?php echo $this->__('Company Wide Purchasing') ?></p>
                    </div>
                </div>
                <h6 class="magento-section-title"><?php echo $this->__('How it Works') ?></h6>
                <div class="process-container">
                    <div class="process-step">
                        <h4 class="heading-8"><strong class="progress-text"><?php echo $this->__('Provide Business Info') ?></strong></h4>
                        <div class="bar"></div><img src="<?php echo $this->getSkinUrl('msts/invoiceme/images/icon.svg') ?>" alt="" class="image-5"></div>
                    <div class="process-step">
                        <h4 class="heading-8"><strong class="progress-text"><?php echo $this->__('Fast Approval') ?></strong></h4>
                        <div class="bar"></div><img src="<?php echo $this->getSkinUrl('msts/invoiceme/images/icon.svg') ?>" alt="" class="image-5"></div>
                    <div class="process-step invoiceme"><img src="<?php echo $this->getSkinUrl('msts/invoiceme/images/im-logo_blue.svg') ?>" height="24" alt=""></div>
                </div>
            </div>
        </div>
    </div>
<?php elseif ($this->shouldDisplayMessageOnly()) : ?>
    <p><?php echo $this->getMessage() ?></p>
<?php elseif (MSTS_InvoiceMe_Helper_Customer::BUYER_STATUS_ACTIVE == $buyerStatus) : ?>
    <h2><?php echo $this->__('InvoiceMe Buyer\'s Account Information') ?></h2>
    <ol>
        <li class="item">
            <?php echo $this->__('Credit Approved: %s', $this->getPriceFormatted($this->getCustomer()->getMstsImCreditApproved())) ?>
        </li>
        <li class="item">
            <?php echo $this->__('Credit Balance: %s', $this->getPriceFormatted($this->getCustomer()->getMstsImCreditBalance())) ?>
        </li>
        <li class="item">
            <?php echo $this->__('Credit Preauthorized: %s', $this->getPriceFormatted($this->getCustomer()->getMstsImCreditPreauthorized())) ?>
        </li>
    </ol>
    <p><?php echo $this->__('Want to view your invoices, increase your credit line, or make a payment? Please visit the <a href="%s">InvoiceMe Portal</a>.', $this->getBuyerPortalURL()) ?></p>
<?php endif; ?>
<div class="buttons-set">
    <p class="back-link"><a href="<?php echo $this->escapeUrl($this->getBackUrl()) ?>"><small>&laquo; </small><?php echo $this->__('Back') ?></a></p>
</div>
